Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
hotdealslist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $hotDealColumns = $ini->variable( "eZTradeMain", "HotDealColumns" )
| $hotDealImageWidth = $ini->variable( "eZTradeMain", "HotDealImageWidth" )
| $hotDealImageHeight = $ini->variable( "eZTradeMain", "HotDealImageHeight" )
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false
| $user =& eZUser::currentUser()
| $RequireUser = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "enabled" ? true : false
| $ShowPrice = $RequireUser ? is_a( $user, "eZUser" ) : true
| $PriceGroup = 0
| $t
if(isset( $HotDealsPage)) | else
| $ModuleList = "productgallary"
| $product = new eZProduct( )
| $HotDealColumns = 2
| $productList =& $product->hotDealProducts( $MaxHotDeals )
| $locale = new eZLocale( $Language )
| $i =0
| $groupi = 0
| $hotDealListColumns = 1
| $trEnded = false

## Variable Documentation

## ◆ $groupi

$groupi = 0

Definition at line 112 of file hotdealslist.php.

## ◆ $hotDealColumns

$hotDealColumns = $ini->variable( "eZTradeMain", "HotDealColumns" )

Definition at line 35 of file hotdealslist.php.

## ◆ $HotDealColumns

$HotDealColumns = 2

Definition at line 98 of file hotdealslist.php.

## ◆ $hotDealImageHeight

$hotDealImageHeight = $ini->variable( "eZTradeMain", "HotDealImageHeight" )

Definition at line 37 of file hotdealslist.php.

## ◆ $hotDealImageWidth

$hotDealImageWidth = $ini->variable( "eZTradeMain", "HotDealImageWidth" )

Definition at line 36 of file hotdealslist.php.

## ◆ $hotDealListColumns

$hotDealListColumns = 1

Definition at line 113 of file hotdealslist.php.

## ◆ $i

$i =0

Definition at line 111 of file hotdealslist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 32 of file hotdealslist.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 34 of file hotdealslist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 110 of file hotdealslist.php.

## ◆ $ModuleList

$ModuleList = "productgallary"

Definition at line 87 of file hotdealslist.php.

## ◆ $PriceGroup

$PriceGroup = 0

Definition at line 52 of file hotdealslist.php.

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false

Definition at line 39 of file hotdealslist.php.

## ◆ $product

$product = new eZProduct( )

Definition at line 96 of file hotdealslist.php.

## ◆ $productList

$productList =& $product->hotDealProducts( $MaxHotDeals )

Definition at line 108 of file hotdealslist.php.

## ◆ $RequireUser

$RequireUser = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "enabled" ? true : false

Definition at line 49 of file hotdealslist.php.

## ◆ $ShowPrice

$ShowPrice = $RequireUser ? is_a( $user, "eZUser" ) : true

Definition at line 50 of file hotdealslist.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 38 of file hotdealslist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language, "hotdealslist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: hotdealslist.php:34
$ini
$ini
Definition: hotdealslist.php:32

Definition at line 60 of file hotdealslist.php.

## ◆ $trEnded

$trEnded = false

Definition at line 114 of file hotdealslist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 47 of file hotdealslist.php.

## ◆ else

if ($GenerateStaticPage=="true") else

Initial value:
{
if ( !isset( $HotDealsTemplate ) )
$HotDealsTemplate = "hotdealslist.tpl"

Definition at line 67 of file hotdealslist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.